# Test CAS Client

This application acting as CAS Client.

Features :
 * Login/Logout on CAS server
 * Local logout
 * Show authenticated user's informations (login and attributes)
 * Show complete debug log of phpCAS library

## Requirements

 * phpCAS library (from php-cas Debian package for instance)
 * CURL and Dom PHP modules (from php-curl and php-dom Debian packages for instance)
 * Apache PHP support (using _mod_php_ or _PHP Fpm_, install _libapache2-mod-php_ Debian packages for instance)
 * One file writable by Apache user for logging

## Installation

  * Install the application and its requirements
```
apt install libapache2-mod-php php-cas php-curl php-dom git
mkdir -p /var/www/connexion/public_html
git clone https://gogs.zionetrix.net/bn8/test-cas-client.git /var/www/connexion/
ln -s /var/www/connexion/test-cas-client /var/www/connexion/public_html/test
chown www-data: /var/www/connexion/test-cas-client/logs
```

  * Configure access to the application, for instance, in an existing Apache _VirtualHost_ definition by adding something like:
```
Alias /test /var/www/connexion/public_html/test
ProxyPass /test ! 
<Directory /var/www/connexion/public_html/test>
        Require all granted 
</Directory>
```

